Page MenuHomePhabricator

Pruning docker-pkg images
Closed, ResolvedPublic

Description

Looking at all of the images available on contint1001 it's hard to tell what is an outdated version.

docker-pkg currently does the work to walk a configuration directory to determine the latest version of an image using changelog files. Maybe we could create some kind of docker-pkg prune command to use that same logic to remove local images that are not at their latest versions.

Details

Related Gerrit Patches:
operations/docker-images/docker-pkg : masterAdd a prune action

Related Objects

StatusAssignedTask
InvalidNone
ResolvedJoe

Event Timeline

Definitely. I'd also recommend keeping the previous version as well just in case we have to revert.

Joe added a subscriber: Joe.Jan 18 2019, 10:42 AM

Definitely. I'd also recommend keeping the previous version as well just in case we have to revert.

Well the old version will still be on the registry, so I don't think it's needed.

Change 485499 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/docker-images/docker-pkg@master] Add a prune action

https://gerrit.wikimedia.org/r/485499

Change 485499 merged by jenkins-bot:
[operations/docker-images/docker-pkg@master] Add a prune action

https://gerrit.wikimedia.org/r/485499

I think this just needs to be deployed at this point (which looking at /srv/deployment maybe hasn't happened in a while).

Joe added a comment.Feb 26 2019, 6:28 AM

I think this just needs to be deployed at this point (which looking at /srv/deployment maybe hasn't happened in a while).

Correct, I want to finish a last patch and then do a release.

thcipriani closed this task as Resolved.Jul 16 2019, 4:56 PM
thcipriani assigned this task to Joe.

This looks to be released as a feature on contint1001 now.